Bug 388361 - eog unable to display files having non-US-ASCII names
eog unable to display files having non-US-ASCII names
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
7
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 10:05 EST by Otto J. Makela
Modified: 2008-06-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Otto J. Makela 2007-11-17 10:05:25 EST
Description of problem:
eog is unable to open files which have non-US-ASCII characters in their names,
even though one has the LC_* environment variables set up correctly

Version-Release number of selected component (if applicable):
2.18.2-2.fc7

How reproducible:
Attempt to open file with non US-ASCII name

Steps to Reproduce:
1. Have your LC_* environment variables be correctly set up for your charset
2. Create filename containing non-US-ASCII characters (high bit set), I used
"ä.png" in the iso-8859-15 environment
3. Start eog with the filename from the command line
  
Actual results:
eog produces a "File not found." popup and these two error messages on stderr:
(eog:29656): libgnomevfs-CRITICAL **: gnome_vfs_uri_to_string: assertion `uri !=
NULL' failed
(eog:29656): libgnomevfs-CRITICAL **: gnome_vfs_format_uri_for_display_internal:
assertion `uri != NULL' failed

Expected results:
Image displayed correctly by eog

Additional information:
% env |fgrep -i LC
LC_NUMERIC=en_US
LC_CTYPE=fi_FI@euro
LC_COLLATE=fi_FI@euro
LC_TIME=en_DK
LC_MESSAGES=en_US
LC_MONETARY=fi_FI@euro

% echo -n ä.png | od -t cx1 
0000000   ä   .   p   n   g
        e4 2e 70 6e 67
0000005
Comment 1 Bug Zapper 2008-05-14 11:04:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:52:28 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.